Loading...
Searching...
No Matches
dolfin::VTKFile Class Reference

Output of meshes and functions in VTK format. More...

`#include <VTKFile.h>`

Inheritance diagram for dolfin::VTKFile:
[legend]
Collaboration diagram for dolfin::VTKFile:
[legend]

## Public Member Functions

| VTKFile (const std::string filename, std::string encoding)
| Create VTK file.
void | write (const Mesh &mesh)
| Output mesh.
void | write (const MeshFunction< bool > &meshfunction)
| Output MeshFunction<bool>.
void | write (const MeshFunction< std::size_t > &meshfunction)
| Output MeshFunction<std::size_t>.
void | write (const MeshFunction< int > &meshfunction)
| Output MeshFunction<int>.
void | write (const MeshFunction< double > &meshfunction)
| Output MeshFunction<double>.
void | write (const Function &u)
| Output Function.
void | write (const Mesh &mesh, double t)
| Output Mesh and timestep.
void | write (const MeshFunction< int > &mesh, double t)
| Output MeshFunction and timestep.
void | write (const MeshFunction< std::size_t > &mf, double t)
| Output MeshFunction and timestep.
void | write (const MeshFunction< double > &mf, double t)
| Output MeshFunction and timestep.
void | write (const MeshFunction< bool > &mf, double t)
| Output MeshFunction and timestep.
void | write (const Function &u, double t)
| Output Function and timestep.
Public Member Functions inherited from dolfin::GenericFile
| GenericFile (std::string filename, std::string filetype)
| Constructor.
virtual | ~GenericFile ()
| Destructor.
virtual void | read (Mesh &mesh)
virtual void | read (GenericVector &x)
virtual void | read (GenericMatrix &A)
virtual void | read (GenericDofMap &dofmap)
virtual void | read (LocalMeshData &data)
virtual void | read (MeshFunction< int > &mesh_function)
virtual void | read (MeshFunction< std::size_t > &mesh_function)
virtual void | read (MeshFunction< double > &mesh_function)
virtual void | read (MeshFunction< bool > &mesh_function)
virtual void | read (MeshValueCollection< int > &mesh_markers)
virtual void | read (MeshValueCollection< std::size_t > &mesh_markers)
virtual void | read (MeshValueCollection< double > &mesh_markers)
virtual void | read (MeshValueCollection< bool > &mesh_markers)
virtual void | read (Parameters &parameters)
virtual void | read (Table &table)
virtual void | read (std::vector< int > &x)
virtual void | read (std::vector< std::size_t > &x)
virtual void | read (std::vector< double > &x)
virtual void | read (std::map< std::size_t, int > &map)
virtual void | read (std::map< std::size_t, std::size_t > &map)
virtual void | read (std::map< std::size_t, double > &map)
virtual void | read (std::map< std::size_t, std::vector< int > > &array_map)
virtual void | read (std::map< std::size_t, std::vector< std::size_t > > &array_map)
virtual void | read (std::map< std::size_t, std::vector< double > > &array_map)
virtual void | read (Function &u)
virtual void | write (const GenericVector &x)
virtual void | write (const GenericMatrix &A)
virtual void | write (const GenericDofMap &dofmap)
virtual void | write (const LocalMeshData &data)
virtual void | write (const MeshValueCollection< int > &mesh_markers)
virtual void | write (const MeshValueCollection< std::size_t > &mesh_markers)
virtual void | write (const MeshValueCollection< double > &mesh_markers)
virtual void | write (const MeshValueCollection< bool > &mesh_markers)
virtual void | write (const Parameters &parameters)
virtual void | write (const Table &table)
virtual void | write (const std::vector< int > &x)
virtual void | write (const std::vector< std::size_t > &x)
virtual void | write (const std::vector< double > &x)
virtual void | write (const std::map< std::size_t, int > &map)
virtual void | write (const std::map< std::size_t, std::size_t > &map)
virtual void | write (const std::map< std::size_t, double > &map)
virtual void | write (const std::map< std::size_t, std::vector< int > > &array_map)
virtual void | write (const std::map< std::size_t, std::vector< std::size_t > > &array_map)
virtual void | write (const std::map< std::size_t, std::vector< double > > &array_map)
void | _read ()
void | _write (std::size_t process_number)
std::string | name () const

## Additional Inherited Members

Protected Member Functions inherited from dolfin::GenericFile
void | read_not_impl (const std::string object) const
void | write_not_impl (const std::string object) const
Protected Attributes inherited from dolfin::GenericFile
std::string | _filename
std::string | _filetype
bool | opened_read
bool | opened_write
bool | check_header
std::size_t | counter
std::size_t | counter1
std::size_t | counter2

## Detailed Description

Output of meshes and functions in VTK format.

XML format for visualisation purposes. It is not suitable to checkpointing as it may decimate some data.

## Member Function Documentation

## write() [1/12]

void VTKFile::write | ( | const Function & | u | ) |

virtual

Output Function.

Reimplemented from dolfin::GenericFile.

## write() [2/12]

void VTKFile::write | ( | const Function & | u,
|  | double | t )

virtual

Output Function and timestep.

Reimplemented from dolfin::GenericFile.

## write() [3/12]

void VTKFile::write | ( | const Mesh & | mesh | ) |

virtual

Output mesh.

Reimplemented from dolfin::GenericFile.

## write() [4/12]

void VTKFile::write | ( | const Mesh & | mesh,
|  | double | t )

virtual

Output Mesh and timestep.

Reimplemented from dolfin::GenericFile.

## write() [5/12]

void VTKFile::write | ( | const MeshFunction< bool > & | meshfunction | ) |

virtual

Output MeshFunction<bool>.

Reimplemented from dolfin::GenericFile.

## write() [6/12]

void VTKFile::write | ( | const MeshFunction< bool > & | mf,
|  | double | t )

virtual

Output MeshFunction and timestep.

Reimplemented from dolfin::GenericFile.

## write() [7/12]

void VTKFile::write | ( | const MeshFunction< double > & | meshfunction | ) |

virtual

Output MeshFunction<double>.

Reimplemented from dolfin::GenericFile.

## write() [8/12]

void VTKFile::write | ( | const MeshFunction< double > & | mf,
|  | double | t )

virtual

Output MeshFunction and timestep.

Reimplemented from dolfin::GenericFile.

## write() [9/12]

void VTKFile::write | ( | const MeshFunction< int > & | mesh,
|  | double | t )

virtual

Output MeshFunction and timestep.

Reimplemented from dolfin::GenericFile.

## write() [10/12]

void VTKFile::write | ( | const MeshFunction< int > & | meshfunction | ) |

virtual

Output MeshFunction<int>.

Reimplemented from dolfin::GenericFile.

## write() [11/12]

void VTKFile::write | ( | const MeshFunction< std::size_t > & | meshfunction | ) |

virtual

Output MeshFunction<std::size_t>.

Reimplemented from dolfin::GenericFile.

## write() [12/12]

void VTKFile::write | ( | const MeshFunction< std::size_t > & | mf,
|  | double | t )

virtual

Output MeshFunction and timestep.

Reimplemented from dolfin::GenericFile.

The documentation for this class was generated from the following files:

- /build/dolfin-lFBzDh/dolfin-2019.2.0~legacy20240219.1c52e83/dolfin/io/VTKFile.h
- /build/dolfin-lFBzDh/dolfin-2019.2.0~legacy20240219.1c52e83/dolfin/io/VTKFile.cpp